#!/usr/bin/env bash
#
# Copyright(c) 2006-2017 ThreatSTOP, Inc. All Rights Reserved
#
# NOTICE: All information contained herein is, and remains the property
# of ThreatSTOP, Inc. and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to ThreatSTOP, Inc.
# and its suppliers and certain aspects thereof are protected by United
# States Patent No. 8,533,822 and United States Patent No. 8,869,237,
# and are protected by trade secret or copyright law.
#
# US Government Entities: The ThreatSTOP service, software and
# documentation, as applicable, are "commercial computer software" and
# "commercial computer software documentation" developed exclusively at
# private expense by Threatstop, Inc. ("Threatstop"). Pursuant to FAR
# 12.212 or DFARS 227 7202 and their successors, as applicable, use,
# reproduction and disclosure of the software and documentation is
# governed by the terms of Threatstop's commercial agreement.
#
# a simple script to create a temporary address-group, from which we'll
# grok out the resulting ipset's hash type, and print it to stdout

PATH=$PATH:/sbin:/usr/sbin
GROUP=TSunused

ipset list -t ${GROUP} >/dev/null 2>&1

if [ $? -ne 0 ]; then

	# our address-group doesn't exist, so create it
	(
	/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper begin
	/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper set 'firewall' 'group' 'address-group' ${GROUP}
	/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper commit
	/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper save
	/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper end
	) >/dev/null 2>&1
fi

# look at its type
ipset list -t ${GROUP} | sed -n -e 's/^Type: \(.*\)$/\1/p'

# done with it; remove it
(
/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper begin
/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper delete 'firewall' 'group' 'address-group' ${GROUP}
/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper commit
/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper save >/dev/null
/opt/vyatta/sbin/vyatta-cfg-cmd-wrapper end
) >/dev/null 2>&1
